com.sun.jna.platform.win32

## Class User32Util.MessageLoopThread.Handler

- java.lang.Object
- - com.sun.jna.platform.win32.User32Util.MessageLoopThread.Handler

- All Implemented Interfaces:
    java.lang.reflect.InvocationHandler
  Enclosing class:
    User32Util.MessageLoopThread

      public class User32Util.MessageLoopThread.Handler
      extends java.lang.Object
      implements java.lang.reflect.InvocationHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `User32Util.MessageLoopThread.Handler(java.lang.Object delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### User32Util.MessageLoopThread.Handler

          public User32Util.MessageLoopThread.Handler(java.lang.Object delegate)

  - ### Method Detail

    - #### invoke

          public java.lang.Object invoke(java.lang.Object proxy,
                                java.lang.reflect.Method method,
                                java.lang.Object[] args)
                                  throws java.lang.Throwable

      Specified by:
        `invoke` in interface `java.lang.reflect.InvocationHandler`
      Throws:
        `java.lang.Throwable`

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.